Cách khắc phục lỗi "The .NET Framework is not supported on this operating system"

Khi cài đặt một chương trình hoặc một phiên bản .NET Framework cụ thể trên Windows 10, một số người dùng gặp lỗi "The .NET Framework is not supported on this operating system". 

Trong bài viết này, vocvach.com sẽ giải thích tại sao lỗi này xuất hiện cũng như hướng dẫn bạn cách khắc phục lỗi.

Tùy thuộc vào phiên bản .NET Framework, khi gặp lỗi bạn sẽ nhận được thông báo lỗi đầy đủ như sau:

Microsoft .NET Framework
 
 Setup has detected that this computer does not meet the requirements to complete this operation. The following blocking issues must be resolved before you can proceed.
 Blocking Issues:
 The .NET Framework 4.7.2 is not supported on this operating system.
 More information about blocked .NET Framework 4.7.2 installations.

Lý do gây ra lỗi đã được đề cập trong thông báo lỗi. Mặc dù .NET Framework hỗ trợ Windows 10 nhưng không phải phiên bản .NET Framework cũng tương thích với tất cả các phiên bản Windows 10 và ngược lại.

Thông báo lỗi .NET Framework
Thông báo lỗi .NET Framework

Vì thế, khi bạn nhận được thông báo lỗi này đồng nghĩa với việc bạn đang chạy một phiên bản Windows 10 không tương thích với phiên bản .NET Framework mà bạn muốn cài đặt.

Cách khắc phục lỗi "The .NET Framework is not supported on this operating system"

Khi gặp phải vấn đề này, giải pháp duy nhất mà bạn có thể làm đó là cập nhật Windows 10. Bạn nên kiểm tra Windows Updates ngay cả khi bạn đang sử dụng Windows 10 bản mới nhất. Do nguyên nhân của lỗi là hệ điều hành không tương thích với phần mềm nên cài đặt tất cả các bản cập nhật Windows 10 hiện có sẽ giải quyết được vấn đề.

Bạn cũng có thể kiểm tra chính xác phiên bản Windows 10 mà mình đang dùng và phiên bản .NET Framework tương thích bằng cách làm theo các bước sau:

  • Nhấn tổ hợp phím Windows + R để mở hộp thoại Run
  • Nhập winver vào Run và nhấn Enter
  • Trong cửa sổ mới hiện ra, bạn có thể tìm thấy phiên bản Windows trong phần About Windows. Các con số phía sau phần Version chính là số phiên bản Windows của bạn. Chúng có thể là 1507, 1709, 1803, 1909, 2004 hoặc 20H2...
Máy tính của vocvach hiện đang chạy Windows 10 Version 20H2
Máy tính của vocvach hiện đang chạy Windows 10 Version 20H2
  • Bây giờ, bạn cần đảm bảo rằng bạn chạy bản Windows 10 tương thích với .NET Framewrok. Bạn có thể tham khảo danh sách mà Microsoft đăng tải tại đây.
  • Nếu đang dùng phiên bản Windows 10 không tương thích với phiên bản .NET Framework cụ thể, bạn sẽ phải nâng cấp Windows 10.

Sau khi nâng cấp hệ điều hành Windows 10 của mình xong bạn hãy cài đặt lại .NET Framework và vấn đề sẽ được khắc phục.

Chúc các bạn thành công và mời các bạn tham khảo thêm các mẹo hữu ích khác trên vocvach:

Thứ Hai, 11/01/2021 14:29